Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008643opensim[REGION] OpenSim Corepublic2020-01-16 09:592020-02-08 17:47
Reportertglion 
Assigned Totampa 
PriorityhighSeverityblockReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Versionmaster (dev code) 
Summary0008643: Parcel Settings Access is not longer working!
DescriptionI can not longer change Access-Parmeter in About Land. Why is this disabled? I don't understand this neccesary of this?

This issue occures since commit
ea7dd150b17f08f4dea4cbfd7b2d57e83197bbfd
disable parcels access control if disabled at estate ( not that estate flag is still named TAXFREE)

What is TAXFREE? I can't see this option in Singularity?

TagsNo tags attached.
Git Revision or version number
Run Mode Grid (1 Region per Sim)
Physics EngineubODE
Script EngineXEngine
EnvironmentMono / Linux64
Mono Version5.x
Viewer
Attached Files

- Relationships
related to 0008658closedUbitUmarov Land permission 

-  Notes
(0036064)
UbitUmarov (administrator)
2020-01-16 10:49

TAXFREE is just a internal opensim name for a flag bit
the same bit is now resused, to control parcel owner right to override parcel access. It will be renamed one day.
And if parcel owner right is disable at estate, parcel access tab is disabled.
estate access will be the only active.

you can see that option on up to date viewers on region/estate, estate tab. with the label "parcel owners can be more restrictive"
(0036065)
UbitUmarov (administrator)
2020-01-16 11:02

viewer devs should know it as
REGION_FLAGS_ALLOW_ACCESS_OVERRIDE = (1 << 5);
(0036073)
tglion (reporter)
2020-01-17 00:35

OK, I understand it a litle bit more now.
But Singularrity (latest test-beta) does still not support this ACCESS_OVERIDE?

Is there a way to set this FLAG per default to true on first install or migration of an region?
I have over hundreds of regions to migrate. Doing this all with an Viewer is a little heavy to me ;-)

2.) I found another Bug with AccessList on using SQlite3. On each Start or Stop of an Region will generate unnecessary duplicates in the Table "landaccesslist"

3.) The row "Expire" is still not implemted in "landaccesslist" on SqLite? (See PGSQL implementation)
(0036074)
UbitUmarov (administrator)
2020-01-17 00:56

unfortunatly defualt value of that flag is false.

i can negate the meaning of the flag, that way the default will automaticly be to allow parcel owner access control.

of course regions that did fix it, will have issues now :)
but that should solve this issue

this setting was introduced ages ago on some viewers like FS or cool VL
and i did add some partial suport for it also, last changes where actually enforce it, region side, didn't notice some still did not had it ( or don't have it for opensim only ??)
(0036075)
UbitUmarov (administrator)
2020-01-17 01:38

ok i did inverted the meaning of the internal flag temporary named TAXFREE, so the default value of false will mean allow parcel owner access control.

this should reduce the impact of this feature on older regions

Please let me know what i did broke in the process ;)
(0036076)
tglion (reporter)
2020-01-17 06:45

Ty, that will help me a lot.
But I can't currently test that because I have currently a compile-problem:
[csc] /opt/opensim/DeepImpact/OpenSim/Region/Framework/Scenes/Scene.cs(6031,56): error CS0103: The name `GCLargeObjectHeapCompactionMode' does not exist in the current context
[csc] /opt/opensim/DeepImpact/OpenSim/Region/Framework/Scenes/Scene.cs(6035,56): error CS0103: The name `GCLargeObjectHeapCompactionMode' does not exist in the current context
[csc] /opt/opensim/DeepImpact/OpenSim/Region/Framework/Scenes/Scene.cs(6035,24): error CS0117: `System.Runtime.GCSettings' does not contain a definition for `LargeObjectHeapCompactionMode'

nant clean
and
runprebuild.sh && nant -t:mono-4.5 does not work.
I use Ubuntu 19.04 and mono 5.18.0.240 currently.

Do anybody have any idea how to fix this in a quick way?

Thanks
(0036077)
tampa (reporter)
2020-01-17 07:06

Use msbuild and upgrade to stable mono and it will compile properly
(0036078)
UbitUmarov (administrator)
2020-01-17 07:20

nant -t:mono-4.5 ??
we are a bit outdated no?
use msbuid. xbuild still works also
ms/xbuilt /p:Configuration=Release
(0036079)
tglion (reporter)
2020-01-17 10:08

Mhhh i tried this:
> xbuild /p:Configuration=Release

>>>> xbuild tool is deprecated and will be removed in future updates, use msbuild instead <<<<

XBuild Engine Version 14.0
Mono, Version 5.18.0.240
Copyright (C) 2005-2013 Various Mono authors

Build started 1/17/2020 7:02:22 PM.
__________________________________________________
Project "/opt/opensim/DeepImpact/OpenSim.sln" (default target(s)):
        Target ValidateSolutionConfiguration:
                Building solution configuration "Release|Any CPU".
        Target Build:
                Project "/opt/opensim/DeepImpact/ThirdParty/SmartThreadPool/SmartThreadPool.csproj" (default target(s)):
                        Target PrepareForBuild:
                                Configuration: Release Platform: AnyCPU
                                Created directory "obj/Release/"
                        Target GenerateSatelliteAssemblies:
                        No input files were specified for target GenerateSatelliteAssemblies, skipping.
                        Target CoreCompile:
                                Tool /usr/lib/mono/4.5/mcs.exe execution started with arguments: /noconfig /delaysign- /debug- /optimize+ /out:obj/Release/SmartThreadPool.dll CallerThreadContext.cs CanceledWorkItemsGroup.cs EventWaitHandle.cs EventWaitHandleFactory.cs Exceptions.cs Interfaces.cs InternalInterfaces.cs PriorityQueue.cs SLExt.cs STPEventWaitHandle.cs STPPerformanceCounter.cs STPStartInfo.cs SmartThreadPool.ThreadEntry.cs SmartThreadPool.cs SynchronizedDictionary.cs WIGStartInfo.cs WorkItem.WorkItemResult.cs WorkItem.cs WorkItemFactory.cs WorkItemInfo.cs WorkItemResultTWrapper.cs WorkItemsGroup.cs WorkItemsGroupBase.cs WorkItemsQueue.cs Properties/AssemblyInfo.cs obj/Release/.NETFramework,Version=v4.0.AssemblyAttribute.cs /target:library /warnaserror- /unsafe+ /checked- /define:TRACE /nostdlib /platform:AnyCPU /reference:/usr/lib/mono/4.0-api/System.dll /reference:/usr/lib/mono/4.0-api/System.Data.dll /reference:/usr/lib/mono/4.0-api/System.Web.dll /reference:/usr/lib/mono/4.0-api/System.Xml.dll /reference:/usr/lib/mono/4.0-api/System.Core.dll /reference:/usr/lib/mono/4.0-api//mscorlib.dll /warn:4
CallerThreadContext.cs(31,31): warning CS0414: The private field `Amib.Threading.Internal.CallerThreadContext.HttpContextSlotName' is assigned but its value is never used
SmartThreadPool.ThreadEntry.cs(17,39): warning CS0414: The private field `Amib.Threading.SmartThreadPool.ThreadEntry._creationTime' is assigned but its value is never used
SmartThreadPool.ThreadEntry.cs(24,30): warning CS0414: The private field `Amib.Threading.SmartThreadPool.ThreadEntry._lastAliveTime' is assigned but its value is never used
                        Target DeployOutputFiles:
                                Copying file from '/opt/opensim/DeepImpact/ThirdParty/SmartThreadPool/obj/Release/SmartThreadPool.dll' to '/opt/opensim/DeepImpact/bin/SmartThreadPool.dll'
                Done building project "/opt/opensim/DeepImpact/ThirdParty/SmartThreadPool/SmartThreadPool.csproj".
                Project "/opt/opensim/DeepImpact/OpenSim/Framework/OpenSim.Framework.csproj" (default target(s)):
                        Target PrepareForBuild:
                                Configuration: Release Platform: AnyCPU
                                Created directory "obj/Release/"
                        Target GenerateSatelliteAssemblies:
                        No input files were specified for target GenerateSatelliteAssemblies, skipping.
                        Target CoreCompile:
                                Tool /usr/lib/mono/4.5/mcs.exe execution started with arguments: /noconfig /delaysign- /debug- /optimize+ /out:obj/Release/OpenSim.Framework.dll AgentCircuitData.cs AgentCircuitManager.cs AgentUpdateArgs.cs Animation.cs AnimationSet.cs AssemblyInfo.cs AssetBase.cs AssetLandmark.cs AssetPermissions.cs AssetRequestToClient.cs AuthenticateResponse.cs AvatarAppearance.cs AvatarAttachment.cs AvatarPickerAvatar.cs AvatarPickerReplyAgentDataArgs.cs AvatarPickerReplyDataArgs.cs AvatarWearable.cs AvatarWearingArgs.cs BasicDOSProtector.cs BlockingQueue.cs Cache.cs CachedTextureEventArg.cs CapsUtil.cs ChatTypeEnum.cs ChildAgentDataUpdate.cs CircularBuffer.cs ClientInfo.cs ClientManager.cs CnmMemoryCache.cs CnmSynchronizedCache.cs ColliderData.cs ConfigSettings.cs ConfigurationMember.cs ConfigurationOption.cs Constants.cs Culture.cs CustomTypes.cs DAMap.cs DOMap.cs DoubleDictionaryThreadAbortSafe.cs EntityTransferContext.cs EstateBan.cs EstateSettings.cs EventData.cs ExtraPhysicsData.cs FriendListItem.cs GcNotify.cs GridInstantMessage.cs GroupData.cs IAssetLoader.cs IClientAPI.cs ICnmCache.cs ICommandConsole.cs IConsole.cs IGenericConfig.cs IImprovedAssetCache.cs ILandChannel.cs ILandObject.cs IMoneyModule.cs IPeople.cs IPlugin.cs IPrimCounts.cs IRegionCreator.cs IRegistryCore.cs IScene.cs ISceneAgent.cs ISceneEntity.cs ISceneObject.cs InventoryCollection.cs InventoryFolderBase.cs InventoryFolderImpl.cs InventoryItemBase.cs InventoryNodeBase.cs LandData.cs LandStatReportItem.cs LandUpdateArgs.cs Lazy.cs Location.cs LocklessQueue.cs LogWriter.cs Login.cs MainConsole.cs MapAndArray.cs MapBlockData.cs MapItemReplyStruct.cs MetricsCollector.cs MinHeap.cs MultipartForm.cs NetworkServersInfo.cs NetworkUtil.cs OSChatMessage.cs ObjectChangeData.cs OutboundUrlFilter.cs ParcelMediaCommandEnum.cs PermissionsUtil.cs PluginLoader.cs PluginManager.cs Pool.cs PresenceType.cs PrimeNumberHelper.cs PrimitiveBaseShape.cs PriorityQueue.cs RegionFlags.cs RegionHandshakeArgs.cs RegionInfo.cs RegionInfoForEstateMenuArgs.cs RegionSettings.cs RegistryCore.cs RequestAssetArgs.cs RestClient.cs SLUtil.cs SimStats.cs SurfaceTouchEventArgs.cs TaskInventoryDictionary.cs TaskInventoryItem.cs TerrainData.cs TextureRequestArgs.cs ThreadSafeRandom.cs ThrottleOutPacketType.cs UpdateShapeArgs.cs UserAgentData.cs UserProfileData.cs UserProfiles.cs Util.cs VersionInfo.cs ViewerEffectEventHandlerArg.cs WearableCacheItem.cs WebUtil.cs Client/IClientChat.cs Client/IClientCore.cs Client/IClientIM.cs Client/IClientIPEndpoint.cs Client/IClientInventory.cs ServiceAuth/BasicHttpAuthentication.cs ServiceAuth/CompoundAuthentication.cs ServiceAuth/DisallowLlHttpRequest.cs ServiceAuth/IServiceAuth.cs ServiceAuth/ServiceAuth.cs obj/Release/.NETFramework,Version=v4.0.AssemblyAttribute.cs /target:library /warnaserror- /unsafe+ /checked- /define:TRACE /nostdlib /platform:AnyCPU /reference:/opt/opensim/DeepImpact/bin/log4net.dll /reference:/opt/opensim/DeepImpact/bin/LukeSkywalker.IPNetwork.dll /reference:/opt/opensim/DeepImpact/bin/Mono.Addins.dll /reference:/opt/opensim/DeepImpact/bin/Mono.Addins.Setup.dll /reference:/opt/opensim/DeepImpact/bin/Nini.dll /reference:/opt/opensim/DeepImpact/bin/OpenMetaverse.dll /reference:/opt/opensim/DeepImpact/bin/OpenMetaverse.StructuredData.dll /reference:/opt/opensim/DeepImpact/bin/OpenMetaverseTypes.dll /reference:/usr/lib/mono/4.0-api/System.dll /reference:/usr/lib/mono/4.0-api/System.Data.dll /reference:/usr/lib/mono/4.0-api/System.Drawing.dll /reference:/usr/lib/mono/4.0-api/System.Web.dll /reference:/usr/lib/mono/4.0-api/System.Xml.dll /reference:/usr/lib/mono/4.0-api/System.Xml.Linq.dll /reference:/opt/opensim/DeepImpact/bin/XMLRPC.dll /reference:/usr/lib/mono/4.0-api/System.Core.dll /reference:/opt/opensim/DeepImpact/bin//SmartThreadPool.dll /reference:/usr/lib/mono/4.0-api//mscorlib.dll /warn:4
CSC: error CS2001: Source file `GcNotify.cs' could not be found
CSC: error CS2001: Source file `IImprovedAssetCache.cs' could not be found
                        Task "Csc" execution -- FAILED
                        Done building target "CoreCompile" in project "/opt/opensim/DeepImpact/OpenSim/Framework/OpenSim.Framework.csproj".-- FAILED
                Done building project "/opt/opensim/DeepImpact/OpenSim/Framework/OpenSim.Framework.csproj".-- FAILED
        Task "MSBuild" execution -- FAILED
        Done building target "Build" in project "/opt/opensim/DeepImpact/OpenSim.sln".-- FAILED
Done building project "/opt/opensim/DeepImpact/OpenSim.sln".-- FAILED

Build FAILED.

Warnings:

/opt/opensim/DeepImpact/OpenSim.sln (default targets) ->
(Build target) ->
/opt/opensim/DeepImpact/ThirdParty/SmartThreadPool/SmartThreadPool.csproj (default targets) ->
/usr/lib/mono/xbuild/14.0/bin/Microsoft.CSharp.targets (CoreCompile target) ->

        CallerThreadContext.cs(31,31): warning CS0414: The private field `Amib.Threading.Internal.CallerThreadContext.HttpContextSlotName' is assigned but its value is never used
        SmartThreadPool.ThreadEntry.cs(17,39): warning CS0414: The private field `Amib.Threading.SmartThreadPool.ThreadEntry._creationTime' is assigned but its value is never used
        SmartThreadPool.ThreadEntry.cs(24,30): warning CS0414: The private field `Amib.Threading.SmartThreadPool.ThreadEntry._lastAliveTime' is assigned but its value is never used

Errors:

/opt/opensim/DeepImpact/OpenSim.sln (default targets) ->
(Build target) ->
/opt/opensim/DeepImpact/OpenSim/Framework/OpenSim.Framework.csproj (default targets) ->
/usr/lib/mono/xbuild/14.0/bin/Microsoft.CSharp.targets (CoreCompile target) ->

        CSC: error CS2001: Source file `GcNotify.cs' could not be found
        CSC: error CS2001: Source file `IImprovedAssetCache.cs' could not be found

         3 Warning(s)
         2 Error(s)

Time Elapsed 00:00:04.3469830
----


And I tried msbuild:
> msbuild
-bash: msbuild: command not found

Any ideas?
(0036080)
tampa (reporter)
2020-01-17 10:13

Yes.

Update mono via https://www.mono-project.com/download/ [^]

Clear your working directory and do a git checkout of git://opensimulator.org/git/opensim [^]

Then ./runprebuild.sh

msbuild -maxcpucount:4 -m:4 -nr:false

That will build, if not your systems is missing dependencies that should be installed on any common linux setup so you broke something else
(0036081)
tglion (reporter)
2020-01-17 10:55

ok thank you, I will try that. mono 4 was my friend for years ;-) I Hope Mono 6 works stable :-)
(0036082)
tglion (reporter)
2020-01-17 11:22

I have updatet now:
> ./runprebuild.sh -> OK
> msbuild -maxcpucount:4 -m:4 -nr:false
Microsoft (R) Build Engine version 16.5.0-ci for Mono
Copyright (C) Microsoft Corporation. All rights reserved.

Parallel builds (/m: or /maxcpucount:) are not yet supported on Mono/Unix. Defaulting to /m:1
Build started 1/17/2020 8:16:40 PM.
__________________________________________________
Project "/opt/opensim/DeepImpact/OpenSim.sln" (default targets):

Target ValidateSolutionConfiguration:
  Building solution configuration "Debug|Any CPU".
Target Build:
  __________________________________________________
  Project "/opt/opensim/DeepImpact/OpenSim.sln" is building "/opt/opensim/DeepImpact/OpenSim/Region/Application/OpenSim.csproj" (default targets):

  /opt/opensim/DeepImpact/OpenSim/Region/Application/OpenSim.csproj(230,2): error MSB4019: The imported project "/usr/lib/mono/msbuild/Current/bin/Microsoft.CSHARP.Targets" was not found. Confirm that the expression in the Import declaration "/usr/lib/mono/msbuild/Current/bin/Microsoft.CSHARP.Targets" is correct, and that the file exists on disk.

  Done building project "OpenSim.csproj" -- FAILED.
... many truncated lines with similar errors ...
    0 Warning(s)
    89 Error(s)


Mhhh the File does exist:
/usr/lib/mono/msbuild/Current/bin/Microsoft.CSharp.targets
but not
/usr/lib/mono/msbuild/Current/bin/Microsoft.CSHARP.Targets

Can this be an issue with case sensitive?
(0036083)
tglion (reporter)
2020-01-17 11:30

I have renamed this File and retry:
Final Error now:
Build FAILED.

CSC : error CS2001: Source file '/opt/opensim/DeepImpact/OpenSim/Framework/GcNotify.cs' could not be found. [/opt/opensim/DeepImpact/OpenSim/Framework/OpenSim.Framework.csproj]
CSC : error CS2001: Source file '/opt/opensim/DeepImpact/OpenSim/Framework/IImprovedAssetCache.cs' could not be found. [/opt/opensim/DeepImpact/OpenSim/Framework/OpenSim.Framework.csproj]
    0 Warning(s)
    2 Error(s)
(0036084)
tglion (reporter)
2020-01-17 11:34
edited on: 2020-01-17 11:38

This seems not in master git?:
git checkout master OpenSim/Framework/GcNotify.cs
error: pathspec 'OpenSim/Framework/GcNotify.cs' did not match any file(s) known to git
git checkout master OpenSim/Framework/IImprovedAssetCache.cs
error: pathspec 'OpenSim/Framework/IImprovedAssetCache.cs' did not match any file(s) known to git

(0036085)
tampa (reporter)
2020-01-17 12:00

Like I said, clear your working directory and do a clean checkout of the git master instead of merging things, then it will build.

Else you can grab binaries both from the wiki http://opensimulator.org/wiki/Download [^] and previous builds from here: http://two66.com/mirrors/?dir=OpenSimulator&by=lastModified&order=desc [^]
(0036086)
tglion (reporter)
2020-01-17 14:02

No, merging some things are neccesary in my case. ;-)
But that was not the problem. After some investigations I think the Problem was the File OpenSim/Framework/OpenSim.Framework.csproj
it differs to clean checkout in a new Folder. I don't understand why, because I have definitely cleared it with nant clean and ./runprebuild.sh before I compile with msbuild -maxcpucount:4 -m:4 -nr:false
I should write a script to delete all this *.csproj files or the whole OpenSim-directory before checkout and run prebuild.sh...?
I think I have some issues with runprebuild.sh
I will make some further tests tomorrow...

Sorry for spamming this mantis on my fault, but I don't be happy while I have not solved this problem ;-)
(0036087)
BillBlight (developer)
2020-01-17 14:59

my scrubit script for cleaning the build dir ..

#!/bin/sh
echo "Scrubbing Directories"
find . -name "*.csproj" -type f -print0 | xargs -0 /bin/rm -f
find . -name "*.csproj.user" -type f -print0 | xargs -0 /bin/rm -f
find . -name "*.build" -type f -print0 | xargs -0 /bin/rm -f
find . -name "*Temporary*" -type f -print0 | xargs -0 /bin/rm -f
find . -name "*.cache" -type f -print0 | xargs -0 /bin/rm -f
find . -name "*.rej" -type f -print0 | xargs -0 /bin/rm -f
find . -name "*.orig" -type f -print0 | xargs -0 /bin/rm -f
find . -name "*.pdb" -type f -print0 | xargs -0 /bin/rm -f
find . -name "*.mdb" -type f -print0 | xargs -0 /bin/rm -f
find . -name "*obj" -type f -print0 | xargs -0 /bin/rm -rf
find . -name "obj" -type d -print0 | xargs -0 /bin/rm -rf
find . -name "*.swp" -type f -print0 | xargs -0 /bin/rm -f
(0036088)
UbitUmarov (administrator)
2020-01-18 01:16

sounds like you are even runing a old version of prebuild
use the one we do provide on bin folder
(0036089)
tglion (reporter)
2020-01-18 02:30
edited on: 2020-01-18 02:38

@UbitUmarov:
Meanwhile I can compile now successful with msbuild.
The problem was on my side. I had commented out the vs2015 target in runprebuild.sh, because it was not found on my older mono installation und was only using 'nant -t:mono-4.5' to compile (not xbuild or msbuild)
So I have never noticed the outaged *.csproj files all the time in my environment.
Sorry for bother you with this.

Back to topic now:
I could testing sucessfull your last commit für negating the TAXFREE-flag.
You can close this mantis now as resolved, if no one other found an another bug or problem relating to this. :-)
For the further issues (2. and 3. see above) with the sqlite-implementation of the landaccesslist whe should open an extra mantis-ticket for this? I can try to fix this by myself, because I have some knowledge with the sqlite-interface and have already an idea how to fix this... or do you want to fix this, if you are faster than me? Then I will wait for the fix by you or other core-developer... :-)

ty.

(0036090)
UbitUmarov (administrator)
2020-01-18 03:42

better open a new mantisn on that sqlite issue

- Issue History
Date Modified Username Field Change
2020-01-16 09:59 tglion New Issue
2020-01-16 10:49 UbitUmarov Note Added: 0036064
2020-01-16 11:02 UbitUmarov Note Added: 0036065
2020-01-16 12:10 aiaustin Description Updated View Revisions
2020-01-17 00:35 tglion Note Added: 0036073
2020-01-17 00:56 UbitUmarov Note Added: 0036074
2020-01-17 01:38 UbitUmarov Note Added: 0036075
2020-01-17 06:45 tglion Note Added: 0036076
2020-01-17 07:06 tampa Note Added: 0036077
2020-01-17 07:20 UbitUmarov Note Added: 0036078
2020-01-17 10:08 tglion Note Added: 0036079
2020-01-17 10:13 tampa Note Added: 0036080
2020-01-17 10:55 tglion Note Added: 0036081
2020-01-17 11:22 tglion Note Added: 0036082
2020-01-17 11:30 tglion Note Added: 0036083
2020-01-17 11:34 tglion Note Added: 0036084
2020-01-17 11:38 tglion Note Edited: 0036084 View Revisions
2020-01-17 12:00 tampa Note Added: 0036085
2020-01-17 14:02 tglion Note Added: 0036086
2020-01-17 14:59 BillBlight Note Added: 0036087
2020-01-18 01:16 UbitUmarov Note Added: 0036088
2020-01-18 02:30 tglion Note Added: 0036089
2020-01-18 02:37 tglion Note Edited: 0036089 View Revisions
2020-01-18 02:38 tglion Note Edited: 0036089 View Revisions
2020-01-18 03:42 UbitUmarov Note Added: 0036090
2020-01-18 04:15 tampa Status new => resolved
2020-01-18 04:15 tampa Fixed in Version => master (dev code)
2020-01-18 04:15 tampa Resolution open => fixed
2020-01-18 04:15 tampa Assigned To => tampa
2020-02-08 17:47 UbitUmarov Relationship added related to 0008658


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker